#!/usr/bin/perl

use strict;
use locale;

our ($destination_file) = @ARGV;
shift @ARGV;

our @files;

foreach my $directory (@ARGV) {
    opendir(IMD, $directory);
    my @content = readdir(IMD);
    @files = (@files, map { $directory . "/" . $_ } grep { !/^\./ } @content);
    closedir(IMD);
}

my %recettes;

foreach my $file (@files) {
    next if ($file eq ".." || $file eq ".");
    open(FILE, $file);
    my $line = <FILE>;
    close(FILE);
    $line =~ m/.*{recipe}{(.*?)}/;
    $recettes{$1} = $file;
}

open (DEST, ">".$destination_file);

foreach my $recette (sort {lc($a) cmp lc($b)} keys %recettes) {
    open(FILE, $recettes{$recette});
    print DEST <FILE>;
}

close(DEST);
